Groovy 1.7.0

## groovy.ui
Class HistoryRecord

    java.lang.Object
      groovy.ui.HistoryRecord

    class HistoryRecord
    extends Object

Property Summary
`String` | `allText`
`Throwable` | `exception`
`Object` | `result`
`String` | `scriptName`
`int` | `selectionEnd`
`int` | `selectionStart`

Constructor Summary
`HistoryRecord()`

Method Summary
`String` | `getTextToRun(boolean useSelection)`
`Object` | `getValue()`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Property Detail

### allText

    String allText

### exception

    Throwable exception

### result

    Object result

### scriptName

    String scriptName

### selectionEnd

    int selectionEnd

### selectionStart

    int selectionStart

Constructor Detail

### HistoryRecord

    HistoryRecord()

Method Detail

### getTextToRun

    public String getTextToRun(boolean useSelection)

### getValue

    public Object getValue()

Copyright © 2003-2009 The Codehaus. All rights reserved.